Package: org.gradle.api.tasks.bundling

## [Java] Class Tar

- org.gradle.api.tasks.bundling.Tar

- Assembles a TAR archive.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tar ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected CopyAction` | `createCopyAction()`
    `Compression` | `getCompression()` Returns the compression that is used for this archive.
    `void` | `setCompression(Compression compression)` Configures the compressor based on passed in compression.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractArchiveTask` | `getAppendix, getArchiveName, getArchivePath, getBaseName, getClassifier, getDestinationDir, getExtension, getVersion, into, into, setAppendix, setArchiveName, setBaseName, setClassifier, setDestinationDir, setExtension, setVersion`
    `class AbstractCopyTask` | `copy, createCopyAction, createRootSpec, eachFile, eachFile, exclude, exclude, exclude, exclude, expand, filesMatching, filesNotMatching, filter, filter, filter, from, from, getDirMode, getDuplicatesStrategy, getExcludes, getFileLookup, getFileMode, getFileResolver, getFileSystem, getIncludeEmptyDirs, getIncludes, getInstantiator, getMainSpec, getRootSpec, getSource, include, include, include, include, into, into, isCaseSensitive, rename, rename, rename, setCaseSensitive, setDirMode, setDuplicatesStrategy, setExcludes, setFileMode, setIncludeEmptyDirs, setIncludes, with`

- - ### Constructor Detail

    - #### public Tar()

  - ### Method Detail

    - #### @Override protected CopyAction createCopyAction()

    - #### public Compression getCompression()

      Returns the compression that is used for this archive.

      Returns:
        The compression. Never returns null.

    - #### public void setCompression(Compression compression)

      Configures the compressor based on passed in compression.

      Parameters:
        `compression` - The compression. Should not be null.